#! /usr/bin/env python

import make_data
import os,sys
import time

def main():
    num_of_data = 7000

    root_directory = '/gwkiso/hamasaki/dev/test9pre/learning_data'
    file_verbose = True
    det_q = 1
    det_num_list = [11]

    '''
    det_num_list = [11,12,13,14,15,16,
                    21,22,23,24,25,26,
                    31,32,33,34,35,
                    41,42,43,44]
    '''

    det_q *= 100
    det_num_list = list(map(lambda x: x+det_q, det_num_list))

    number = 0
    for det_num in det_num_list:
        print '------------------------------------------------'
        print 'Make Randomly Embedded Artificial-Real Data'
        start_time = time.time()
        make_data.main(det_num, root_directory,
                       file_verbose_bool=file_verbose,
                       required_num_of_data=num_of_data,
                       artificial_real_type='random')
        elapsed_time1 = time.time() - start_time
        print '\n\n'
        print '------------------------------------------------'
        print 'Make Embedded Artificial-Real Data Around Galaxy'
        start_time = time.time()
        make_data.main(det_num, root_directory,
                       file_verbose_bool=file_verbose,
                       required_num_of_data=num_of_data,
                       artificial_real_type='around_galaxy')
        elapsed_time2 = time.time() - start_time
        number += 1
        print '\n'
        print 'Det Number          : ' + str(det_num)
        print 'Number of Processed : ' + str(number) + ' / ' + str(len(det_num_list))
        print 'Time (Rand, Galx)   : ' + '( ' + str(elapsed_time1) + ' , ' + str(elapsed_time2) + ' )'
        print '\n\n'

    


if __name__=='__main__':
    print 'Start.'
    main()
    print 'Finish.'
    sys.exit(0)
