#! /usr/bin/env python

import tomoesnml
import get_tns_transient_data
import reshape_real
import os


def main():
    date_min = '2019-12-01'
    date_max = '2020-02-01'
    data_directory = '/gwkiso/hamasaki/test_data/real_transient'
    output_path = 'data'

    if not os.path.isdir(output_path): os.makedirs(output_path)

    get_tns_transient_data.main(date_min=date_min, date_max=date_max, output_directory=data_directory, file_verbose_bool=True)
    reshape_real.main(data_directory, output_path=output_path, output_file_name='real_transient_{}_{}'.format(date_min, date_max))



if __name__=='__main__':
    print 'Start.'
    main()
    print 'Finish.'
